summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2011-08-05 06:46:32 +0000
committerEray Aslan <eras@gentoo.org>2011-08-05 06:46:32 +0000
commitbff3b85bc68f7721bfd90eb9b1da0a1d59534e7f (patch)
treede57b586dc516d36ccd8aa31b045193c9af3ad8c /mail-filter/dspam
parentversion bump - bug #299090. Ebuild thanks to Tom Hendrikx (diff)
downloadhistorical-bff3b85bc68f7721bfd90eb9b1da0a1d59534e7f.tar.gz
historical-bff3b85bc68f7721bfd90eb9b1da0a1d59534e7f.tar.bz2
historical-bff3b85bc68f7721bfd90eb9b1da0a1d59534e7f.zip
version bump - bug #299090. Ebuild thanks to Tom Hendrikx
Package-Manager: portage-2.1.10.9/cvs/Linux x86_64
Diffstat (limited to 'mail-filter/dspam')
-rw-r--r--mail-filter/dspam/dspam-3.10.0.ebuild4
-rw-r--r--mail-filter/dspam/files/dspam.cron-r4 (renamed from mail-filter/dspam/files/dspam.cron)0
-rw-r--r--mail-filter/dspam/files/dspam.initd45
-rw-r--r--mail-filter/dspam/files/dspam.logrotate10
-rw-r--r--mail-filter/dspam/metadata.xml9
5 files changed, 66 insertions, 2 deletions
diff --git a/mail-filter/dspam/dspam-3.10.0.ebuild b/mail-filter/dspam/dspam-3.10.0.ebuild
index 86ec13a1801e..3c2067bfe14d 100644
--- a/mail-filter/dspam/dspam-3.10.0.ebuild
+++ b/mail-filter/dspam/dspam-3.10.0.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/dspam-3.10.0.ebuild,v 1.1 2011/08/05 06:42:42 eras Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/dspam-3.10.0.ebuild,v 1.2 2011/08/05 06:46:32 eras Exp $
EAPI=4
@@ -192,7 +192,7 @@ src_install() {
exeinto /usr/bin
newexe contrib/dspam_maintenance/dspam_maintenance.sh dspam_maintenance
exeinto /etc/cron.daily
- newexe "${FILESDIR}/dspam.cron" dspam
+ newexe "${FILESDIR}/dspam.cron-r4" dspam
insinto /etc/logrotate.d
newins "${FILESDIR}/dspam.logrotate" dspam
diff --git a/mail-filter/dspam/files/dspam.cron b/mail-filter/dspam/files/dspam.cron-r4
index edf97dce541a..edf97dce541a 100644
--- a/mail-filter/dspam/files/dspam.cron
+++ b/mail-filter/dspam/files/dspam.cron-r4
diff --git a/mail-filter/dspam/files/dspam.initd b/mail-filter/dspam/files/dspam.initd
new file mode 100644
index 000000000000..b0e05ae28df8
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.initd
@@ -0,0 +1,45 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/dspam/files/dspam.initd,v 1.1 2011/08/05 06:42:42 eras Exp $
+
+opts="${opts} reload"
+PIDFILE=${PID_FILE:-/var/run/dspam/dspam.pid}
+
+depend() {
+ use logger
+ before mta
+ after postgresql mysql ldap
+}
+
+checkconfig() {
+ local PIDDIR
+ PIDDIR=${PIDFILE%/*}
+ if [ ! -d "${PIDDIR:-/var/run/dspam}" ]; then
+ checkpath -q -d -o dspam:dspam -m 0770 "${PIDDIR}" || return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting dspam"
+ start-stop-daemon --start \
+ --user ${DAEMON_USER_GROUP} \
+ --pidfile ${PIDFILE} \
+ --exec /usr/bin/dspam -- --daemon
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dspam"
+ start-stop-daemon --stop \
+ --pidfile ${PIDFILE} \
+ --exec /usr/bin/dspam
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading dspam"
+ start-stop-daemon --signal SIGHUP /usr/bin/dspam
+ eend $?
+}
diff --git a/mail-filter/dspam/files/dspam.logrotate b/mail-filter/dspam/files/dspam.logrotate
new file mode 100644
index 000000000000..f5e13067cfc7
--- /dev/null
+++ b/mail-filter/dspam/files/dspam.logrotate
@@ -0,0 +1,10 @@
+/var/log/dspam/bnr.log
+/var/log/dspam/dspam.debug
+/var/log/dspam/dspam.log
+/var/log/dspam/dspam.messages
+/var/log/dspam/sql.errors {
+ weekly
+ compress
+ missingok
+ copytruncate
+}
diff --git a/mail-filter/dspam/metadata.xml b/mail-filter/dspam/metadata.xml
index 0d5f01f1dd93..28c56e67dbe2 100644
--- a/mail-filter/dspam/metadata.xml
+++ b/mail-filter/dspam/metadata.xml
@@ -30,5 +30,14 @@
<flag name='virtual-users'>
Build with virtual-users support
</flag>
+ <flag name='domain-scale'>
+ Build with domain scale setups
+ </flag>
+ <flag name='large-scale'>
+ Build with large scale setups
+ </flag>
+ <flag name='hash'>
+ Enable support for the file-orientated hash driver
+ </flag>
</use>
</pkgmetadata>